import { WriterFormat } from '../types';
import { BaseMetadataTransformer } from './baseMetadataTransformer';
import { ConvertTransaction } from '../convertTransaction';
import { MetadataRegistry, SourceComponent } from '../../metadata-registry';
import { JsonMap, AnyJson } from '@salesforce/ts-types';
interface XmlJson extends JsonMap {
    [parentFullName: string]: {
        [groupNode: string]: AnyJson;
    };
}
export declare class DecomposedMetadataTransformer extends BaseMetadataTransformer {
    constructor(registry?: MetadataRegistry, convertTransaction?: ConvertTransaction);
    toMetadataFormat(component: SourceComponent): Promise<WriterFormat>;
    toSourceFormat(component: SourceComponent): Promise<WriterFormat>;
    static recompose(children: SourceComponent[], baseXmlObj?: XmlJson): Promise<JsonMap>;
    static createWriterFormat(trigger: SourceComponent, xmlObject: JsonMap): WriterFormat;
}
export {};
