import { BaseMetadataTransformer } from './baseMetadataTransformer';
import { WriterFormat } from '../types';
import { SourceComponent } from '../../metadata-registry';
/**
 * The default metadata transformer.
 *
 * If a metadata type doesn't have a transformer assigned to it, this one is used
 * during the conversion process. It leaves the component's metadata xml and source
 * files as-is.
 */
export declare class DefaultMetadataTransformer extends BaseMetadataTransformer {
    toMetadataFormat(component: SourceComponent): Promise<WriterFormat>;
    toSourceFormat(component: SourceComponent): Promise<WriterFormat>;
    private getWriterFormat;
}
