"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const path_1 = require("path");
const _1 = require(".");
const src_1 = require("../../../src");
const utils_1 = require("../../../src/utils");
exports.DECOMPOSED_TOP_LEVEL_DIR = path_1.join('path', 'to', 'decomposedTopLevel');
exports.DECOMPOSED_TOP_LEVEL_COMPONENT_PATH = path_1.join(exports.DECOMPOSED_TOP_LEVEL_DIR, 'a');
exports.DECOMPOSED_TOP_LEVEL_XML_NAMES = ['a.dtl-meta.xml'];
exports.DECOMPOSED_TOP_LEVEL_XML_PATH = path_1.join(exports.DECOMPOSED_TOP_LEVEL_COMPONENT_PATH, exports.DECOMPOSED_TOP_LEVEL_XML_NAMES[0]);
exports.DECOMPOSED_TOP_LEVEL_CHILD_XML_NAMES = ['z.g-meta.xml', 'y.g-meta.xml'];
exports.DECOMPOSED_TOP_LEVEL_CHILD_XML_PATHS = exports.DECOMPOSED_TOP_LEVEL_CHILD_XML_NAMES.map((n) => path_1.join(exports.DECOMPOSED_TOP_LEVEL_COMPONENT_PATH, n));
exports.DECOMPOSED_TOP_LEVEL_COMPONENT = src_1.SourceComponent.createVirtualComponent({
    name: utils_1.baseName(exports.DECOMPOSED_TOP_LEVEL_XML_PATH),
    type: _1.mockRegistry.types.decomposedtoplevel,
    xml: exports.DECOMPOSED_TOP_LEVEL_XML_PATH,
}, [
    {
        dirPath: exports.DECOMPOSED_TOP_LEVEL_DIR,
        children: [utils_1.baseName(exports.DECOMPOSED_TOP_LEVEL_COMPONENT_PATH)],
    },
    {
        dirPath: exports.DECOMPOSED_TOP_LEVEL_COMPONENT_PATH,
        children: exports.DECOMPOSED_TOP_LEVEL_CHILD_XML_NAMES,
    },
]);
//# sourceMappingURL=decomposedTopLevelConstants.js.map