"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const _1 = require(".");
const path_1 = require("path");
const src_1 = require("../../../src");
// Constants for a type that uses the BaseSourceAdapter
const type = _1.mockRegistry.types.genewilder;
exports.GENE_DIR = path_1.join('path', 'to', 'genes');
exports.GENE_XML_NAME = 'a.gene-meta.xml';
exports.GENE_XML_PATH = path_1.join(exports.GENE_DIR, exports.GENE_XML_NAME);
exports.GENE_COMPONENT = new src_1.SourceComponent({
    name: 'a',
    type,
    xml: exports.GENE_XML_PATH,
});
exports.GENE_FOLDER_XML_NAME = 'a-meta.xml';
exports.GENE_FOLDER_XML_PATH = path_1.join(exports.GENE_DIR, exports.GENE_FOLDER_XML_NAME);
exports.GENE_FOLDER_COMPONENT = new src_1.SourceComponent({
    name: 'a',
    type,
    xml: exports.GENE_FOLDER_XML_PATH,
});
exports.GENE_MD_FORMAT_XML_NAME = 'a.gene';
exports.GENE_MD_FORMAT_XML_PATH = path_1.join(exports.GENE_DIR, exports.GENE_MD_FORMAT_XML_NAME);
exports.GENE_MD_FORMAT_COMPONENT = new src_1.SourceComponent({
    name: 'a',
    type,
    xml: exports.GENE_MD_FORMAT_XML_PATH,
});
//# sourceMappingURL=geneConstants.js.map