"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const path_1 = require("path");
const _1 = require(".");
const src_1 = require("../../../src");
// Constants for a type that uses the BaseSourceAdapter and is inFolder
const type = _1.mockRegistry.types.kathybates;
exports.KATHYS_DIR = path_1.join('path', 'to', 'kathys');
exports.KATHY_FOLDER = path_1.join(exports.KATHYS_DIR, 'A_Folder');
exports.KATHY_XML_NAMES = ['a.kathy-meta.xml', 'b.kathy-meta.xml', 'c.kathy-meta.xml'];
exports.KATHY_XML_PATHS = [
    path_1.join(exports.KATHY_FOLDER, 'a.kathy-meta.xml'),
    path_1.join(exports.KATHY_FOLDER, 'b.kathy-meta.xml'),
    path_1.join(exports.KATHY_FOLDER, 'c.kathy-meta.xml'),
];
exports.KATHY_COMPONENTS = [
    new src_1.SourceComponent({
        name: `A_Folder/a`,
        type,
        xml: exports.KATHY_XML_PATHS[0],
    }),
    new src_1.SourceComponent({
        name: 'A_Folder/b',
        type,
        xml: exports.KATHY_XML_PATHS[1],
    }),
    new src_1.SourceComponent({
        name: 'A_Folder/c',
        type,
        xml: exports.KATHY_XML_PATHS[2],
    }),
];
exports.KATHY_MD_FORMAT_XML_NAMES = ['a.kathy', 'b.kathy', 'c.kathy'];
exports.KATHY_MD_FORMAT_XML_PATHS = [
    path_1.join(exports.KATHY_FOLDER, exports.KATHY_MD_FORMAT_XML_NAMES[0]),
    path_1.join(exports.KATHY_FOLDER, exports.KATHY_MD_FORMAT_XML_NAMES[1]),
    path_1.join(exports.KATHY_FOLDER, exports.KATHY_MD_FORMAT_XML_NAMES[2]),
];
exports.KATHY_MD_FORMAT_COMPONENTS = [
    new src_1.SourceComponent({
        name: `A_Folder/a`,
        type,
        xml: exports.KATHY_MD_FORMAT_XML_PATHS[0],
    }),
    new src_1.SourceComponent({
        name: 'A_Folder/b',
        type,
        xml: exports.KATHY_MD_FORMAT_XML_PATHS[1],
    }),
    new src_1.SourceComponent({
        name: 'A_Folder/c',
        type,
        xml: exports.KATHY_MD_FORMAT_XML_PATHS[2],
    }),
];
//# sourceMappingURL=kathyConstants.js.map