"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const path_1 = require("path");
const _1 = require(".");
const src_1 = require("../../../src");
// Constants for a matching content file type
const type = _1.mockRegistry.types.keanureeves;
exports.KEANUS_DIR = path_1.join('path', 'to', 'keanus');
exports.KEANU_XML_NAMES = ['a.keanu-meta.xml', 'b.keanu-meta.xml'];
exports.KEANU_SOURCE_NAMES = ['a.keanu', 'b.keanu'];
exports.KEANU_XML_PATHS = exports.KEANU_XML_NAMES.map((n) => path_1.join(exports.KEANUS_DIR, n));
exports.KEANU_SOURCE_PATHS = exports.KEANU_SOURCE_NAMES.map((n) => path_1.join(exports.KEANUS_DIR, n));
exports.KEANU_COMPONENT = new src_1.SourceComponent({
    name: 'a',
    type,
    xml: exports.KEANU_XML_PATHS[0],
    content: exports.KEANU_SOURCE_PATHS[0],
});
exports.KEANU_CONTENT_COMPONENT = new src_1.SourceComponent({
    name: 'a',
    type,
    xml: exports.KEANU_SOURCE_PATHS[0],
});
//# sourceMappingURL=keanuConstants.js.map