"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const path_1 = require("path");
const _1 = require(".");
const metadata_registry_1 = require("../../../src/metadata-registry");
// Constants for a type that uses the BaseSourceAdapter and is inFolder
const type = _1.mockRegistry.types.seanconnerys;
exports.SEAN_DIR = path_1.join('path', 'to', 'seans');
exports.SEAN_FOLDER = path_1.join(exports.SEAN_DIR, 'A_Folder');
exports.SEAN_NAMES = ['a.sean', 'b.sean', 'c.sean'];
exports.SEAN_PATHS = exports.SEAN_NAMES.map((p) => path_1.join(exports.SEAN_FOLDER, p));
exports.SEAN_COMPONENTS = [
    new metadata_registry_1.SourceComponent({
        name: `A_Folder/a`,
        type,
        xml: exports.SEAN_PATHS[0],
    }),
    new metadata_registry_1.SourceComponent({
        name: 'A_Folder/b',
        type,
        xml: exports.SEAN_PATHS[1],
    }),
    new metadata_registry_1.SourceComponent({
        name: 'A_Folder/c',
        type,
        xml: exports.SEAN_PATHS[2],
    }),
];
//# sourceMappingURL=seanConstants.js.map