"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const _1 = require(".");
const path_1 = require("path");
const src_1 = require("../../../src");
// Bundle content
const type = _1.mockRegistry.types.simonpegg;
exports.SIMON_DIR = path_1.join('path', 'to', 'simons');
exports.SIMON_BUNDLE_PATH = path_1.join(exports.SIMON_DIR, 'a');
exports.SIMON_XML_NAME = 'a.js-meta.xml';
exports.SIMON_XML_PATH = path_1.join(exports.SIMON_BUNDLE_PATH, exports.SIMON_XML_NAME);
exports.SIMON_SUBTYPE_PATH = path_1.join(exports.SIMON_BUNDLE_PATH, 'b.z-meta.xml');
exports.SIMON_SOURCE_PATHS = [
    path_1.join(exports.SIMON_BUNDLE_PATH, 'a.js'),
    path_1.join(exports.SIMON_BUNDLE_PATH, 'a.css'),
    path_1.join(exports.SIMON_BUNDLE_PATH, 'a.html'),
];
exports.SIMON_COMPONENT = src_1.SourceComponent.createVirtualComponent({
    name: 'a',
    type,
    xml: exports.SIMON_XML_PATH,
    content: exports.SIMON_BUNDLE_PATH,
}, [
    {
        dirPath: exports.SIMON_BUNDLE_PATH,
        children: [exports.SIMON_XML_NAME, 'a.js', 'a.css', 'a.html'],
    },
]);
//# sourceMappingURL=simonConstants.js.map