"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const path_1 = require("path");
const _1 = require(".");
const src_1 = require("../../../src");
// Mixed content type in folders
const type = _1.mockRegistry.types.tinafey;
exports.TINA_DIR = path_1.join('path', 'to', 'tinas');
exports.TINA_FOLDER = path_1.join(exports.TINA_DIR, 'A_Folder');
exports.TINA_FOLDER_XML = path_1.join(exports.TINA_DIR, 'A_Folder.tinafeyFolder-meta.xml');
exports.TINA_XML_NAMES = ['a.tina-meta.xml', 'b.tina-meta.xml'];
exports.TINA_XML_PATHS = exports.TINA_XML_NAMES.map((n) => path_1.join(exports.TINA_FOLDER, n));
exports.TINA_SOURCE_NAMES = ['a.x', 'b.y'];
exports.TINA_SOURCE_PATHS = exports.TINA_SOURCE_NAMES.map((n) => path_1.join(exports.TINA_FOLDER, n));
exports.TINA_FOLDER_COMPONENT = new src_1.SourceComponent({
    name: 'A_Folder',
    type: _1.mockRegistry.types.tinafeyfolder,
    xml: exports.TINA_FOLDER_XML,
});
exports.TINA_COMPONENTS = [
    new src_1.SourceComponent({
        name: 'A_Folder/a',
        type,
        xml: exports.TINA_XML_PATHS[0],
        content: exports.TINA_SOURCE_PATHS[0],
    }),
    new src_1.SourceComponent({
        name: 'A_Folder/b',
        type,
        xml: exports.TINA_XML_PATHS[1],
        content: exports.TINA_SOURCE_PATHS[1],
    }),
];
//# sourceMappingURL=tinaConstants.js.map